Debian Bug report logs - #374867
tinyerp-server: traceback at startup - No module named DateTime

version graph

Package: python-egenix-mxdatetime; Maintainer for python-egenix-mxdatetime is Joel Rosdahl <joel@debian.org>; Source for python-egenix-mxdatetime is src:egenix-mx-base.

Reported by: Damyan Ivanov <dam@modsoftsys.com>

Date: Wed, 21 Jun 2006 19:03:53 UTC

Severity: grave

Found in version 2.0.6-3.1

Fixed in version 2.0.6-4

Done: Max Kellermann <max@duempel.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@panthera-systems.net>:
Bug#374867; Package tinyerp-server. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel.baumann@panthera-systems.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tinyerp-server: traceback at startup - No module named DateTime
Date: Wed, 21 Jun 2006 21:56:12 +0300
Package: tinyerp-server
Version: 3.3.0-1
Severity: grave
Justification: renders package unusable

Hi,

It's me again  :) 

-------------------------------------------------
# /usr/sbin/tinyerp-server
Traceback (most recent call last):
  File "./tinyerp-server.py", line 59, in ?
    import netsvc
  File "/usr/lib/python2.3/site-packages/tinyerp-server/netsvc.py", line
103, in ?
    import tools.config
  File
"/usr/lib/python2.3/site-packages/tinyerp-server/tools/__init__.py",
line 2, in ?
    from misc import *
  File "/usr/lib/python2.3/site-packages/tinyerp-server/tools/misc.py",
line 36, in ?
    import psycopg
ImportError: No module named DateTime
-------------------------------------------------

I am python dummy, so I'll leave interpretation of the above to you.


Thanks,
dam



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-rc3-686
Locale: LANG=bg_BG.UTF-8, LC_CTYPE=bg_BG.UTF-8 (charmap=UTF-8)

Versions of packages tinyerp-server depends on:
ii  adduser                    3.87          Add and remove users and groups
ii  python                     2.3.5-10      An interactive high-level object-o
ii  python-libxml2             2.6.26.dfsg-1 Python bindings for the GNOME XML 
ii  python-libxslt1            1.1.17-1      Python bindings for libxslt1
ii  python-psycopg             1.1.21-7      Python module for PostgreSQL [dumm
ii  python-reportlab           1.20debian-6  ReportLab library to create PDF do
ii  python-xml                 0.8.4-5       XML tools for Python

Versions of packages tinyerp-server recommends:
ii  graphviz                      2.8-2      rich set of graph drawing tools
ii  postgresql                    7.5.19     object-relational SQL database man
ii  postgresql-client             7.5.19     front-end programs for PostgreSQL 
ii  python-imaging                1.1.5-9    Python Imaging Library
ii  python-pyparsing              1.4.2-1    Python parsing module

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@panthera-systems.net>:
Bug#374867; Package tinyerp-server. Full text and rfc822 format available.

Acknowledgement sent to Max Kellermann <max@duempel.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@panthera-systems.net>. Full text and rfc822 format available.

Message #10 received at 374867@bugs.debian.org (full text, mbox):

From: Max Kellermann <max@duempel.org>
To: 374867@bugs.debian.org, control@bugs.debian.org
Subject: fixed by egenix-mx-base 2.0.6-4
Date: Sun, 17 Sep 2006 00:02:14 +0200
reassign 374867 python-egenix-mxdatetime 2.0.6-3.1
close 374867 2.0.6-4
thanks

The bug was caused by the broken version 2.0.6-3.1 of
python-egenix-mxdatetime which was missing the dependency on
python-egenix-mxtools.  Has been fixed in 2.0.6-4.




Bug reassigned from package `tinyerp-server' to `python-egenix-mxdatetime'. Request was from Max Kellermann <max@duempel.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 2.0.6-4, send any further explanations to Damyan Ivanov <dam@modsoftsys.com> Request was from Max Kellermann <max@duempel.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 08:14:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:26:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.